Skip to main content

List enterprise authorizations of a profile

GET 

/nevisidm/api/core/v1/:clientExtId/profiles/:extId/eauthorizations

Since: 2.75.2, 2.76.0

Required permission(s): AccessControl.ProfileView or SelfAdmin Role

Returns all enterprise authorizations assigned to the profile with the given external ID within the specified client.

Supports continuation-token-based pagination.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    extId stringrequired

    External ID of the profile.

    Example: profile-123

Query Parameters

    continuationToken string

    Pagination continuation token from a previous response.

    limit int32

    Default value: 0

    Maximum number of results to return.

    Example: 100

Responses

Enterprise authorizations retrieved successfully

Schema
    items object[]
  • Array [
  • created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the enterprise authorization.

    enterpriseRoleExtId string

    The external ID of the enterprise role.

    validity object

    Describes the validity period of the authorization.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

  • ]
  • _pagination object
    continuationToken string

    The continuation token for fetching the next page of results generated from creation date and external id of the last entity

    limit int32

    The maximum number of results returned in a single page

    totalResult int64

    The total number of results available, only supported for selected endpoints, if returnTotalResultCount query-parameter is true

    _classifications object
    property name* string[]
  • Array [
  • string

  • ]
Loading...